## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Namespace List
- Namespace Members

# CrystalSpace::SoftShader Namespace Reference

## Classes

struct | iDefaultScanlineRenderer
| Default software scanline renderer. More...
struct | iDefaultShader
| Software renderer default shader plugin. More...
struct | InterpolateEdgePersp
| Interpolator for a polygon edge. More...
struct | InterpolateScanlinePersp
| Interpolator over a scanline. More...
struct | InterpolateScanlinePersp< 0 >
struct | InterpolateScanlinePerspCommon
| Interpolator over a scanline, common code. More...
struct | iScanlineRenderer
| Software renderer scanline renderer. More...
struct | iSoftShaderRenderInterface
| Interface specific to the software renderer to allow shaders to communicate with it. More...
struct | Pixel
struct | ScanlineComp
| Undivided buffer values. More...
struct | ScanlineCompDivZ
| Buffer values div Z. More...
struct | SoftwareTexture

## Typedefs

typedef uint | BuffersMask
| Type for a bit mask of buffers.
typedef uint | TexturesMask
| Type for a bit mask of textures.

## Functions

template<typename T>
static T | Lerp (const T &a, const T &b, float f)
| Helper function to linearly interpolate.

## Variables

const size_t | maxBuffers = 16
| Maximum number of vertex buffers supported.

## Typedef Documentation

typedef uint CrystalSpace::SoftShader::BuffersMask

| Type for a bit mask of buffers. Definition at line 39 of file types.h.

typedef uint CrystalSpace::SoftShader::TexturesMask

| Type for a bit mask of textures. Definition at line 41 of file types.h.

## Function Documentation

template<typename T>
static T CrystalSpace::SoftShader::Lerp | ( | const T & | a,
|  | const T & | b,
|  | float | f
| ) | `[inline, static]`

| Helper function to linearly interpolate. Definition at line 45 of file types.h. Referenced by CrystalSpace::SoftShader::InterpolateEdgePersp::Setup().

## Variable Documentation

const size_t CrystalSpace::SoftShader::maxBuffers = 16

| Maximum number of vertex buffers supported. Definition at line 37 of file types.h.